# Class RejectedExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.concurrent.RejectedExecutionException

All Implemented Interfaces:
  `Serializable`

public class RejectedExecutionException extends RuntimeException
Exception thrown by an `Executor` when a task cannot be accepted for execution.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RejectedExecutionException()`
Constructs a `RejectedExecutionException` with no detail message.
`RejectedExecutionException(String message)`
Constructs a `RejectedExecutionException` with the specified detail message.
`RejectedExecutionException(String message, Throwable cause)`
Constructs a `RejectedExecutionException` with the specified detail message and cause.
`RejectedExecutionException(Throwable cause)`
Constructs a `RejectedExecutionException` with the specified cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RejectedExecutionException

public RejectedExecutionException()
Constructs a `RejectedExecutionException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### RejectedExecutionException

public RejectedExecutionException(String message)
Constructs a `RejectedExecutionException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `message` - the detail message

### RejectedExecutionException

public RejectedExecutionException(String message, Throwable cause)
Constructs a `RejectedExecutionException` with the specified detail message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### RejectedExecutionException

public RejectedExecutionException(Throwable cause)
Constructs a `RejectedExecutionException` with the specified cause. The detail message is set to `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)